LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-02-2001, 01:21 PM   #1
emanners
LQ Newbie
 
Registered: Jun 2001
Distribution: Red Hat 7.1
Posts: 23

Rep: Reputation: 15
failed dependencies


I was running RH 5.2 kernel 2.0.36 and I upgraded to kernel 2.2.1 and now im upgrading to kernel 2.4.7. In trying to get all of the utils, libraries and apps up to speed before the upgrade I am experiencing the following..

Almost everytime I try to install an RPM I get he following message:
error: failed dependencies:
libc.so.6(GLIB_2.0) is needed by yada yada
libc.so.6(GLIB_2.1) is needed by yada yada

I have downloaded and installed the following while trying to fix this:
glibc-2.2.4-8.i386
glibc-common-2.2.4-8.i386
glibc-devel-2.2.4-8.i386
 
Old 09-02-2001, 05:57 PM   #2
CragStar
Senior Member
 
Registered: Oct 2000
Location: UK - Frome
Distribution: Ubuntu
Posts: 1,081

Rep: Reputation: 47
I don't know where the file is that you need, but its obvious that you either don't have it or that you can't find it. Have you searched your comp for that file?
 
Old 09-27-2001, 04:01 PM   #3
Iknowit101
LQ Newbie
 
Registered: Jul 2001
Location: Somerville, MA
Distribution: Red Hat/Clarkconnect
Posts: 18

Rep: Reputation: 0
use --nodeps flag

You can force the intall of the rpm by using "rpm -ivh --nodeps filename" maybe this works for you.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
failed dependencies koodoo Linux - Newbie 8 03-08-2005 02:14 PM
Failed Dependencies Johnburrell Linux - Newbie 3 03-03-2005 11:18 AM
Failed Dependencies????? igo_mexico Linux - Newbie 2 09-03-2004 08:22 PM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 08:58 PM
failed dependencies jaylee Linux - General 4 06-25-2003 06:45 AM


All times are GMT -5. The time now is 10:41 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration